Bug 14043 - dev entries owned by non-privileged user?
dev entries owned by non-privileged user?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-15 14:05 EDT by Chris Runge
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-15 14:05:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2000-07-15 14:05:18 EDT
I might be ignorant of something going on behind the scenes here, but I 
noticed that there are several entries in /dev/ that are owned by my 
unprivileged user, crunge.

For example,

/dev/vcs[n]
/dev/vcsa[n]
/dev/video[n]
/dev/vtx[n]
/dev/winradio[n]
/dev/audio
/dev/dsp
/dev/fb[n]
/dev/fd0

... where [n] is some number

These are only a sample of the entries.
Comment 1 Nalin Dahyabhai 2000-07-17 17:20:20 EDT
I suspect that what you're seeing is pam_console hard at work.  When
you log in at the system console as a non-root user, the pam_console
module gives the user ownership of numerous devices (floppy drives,
the local terminal, video capture cards, tuner cards, sound cards, etc.)
which are reverted when the user logs out.  More information on how
pam_console works can be found in the pam_console(8) man page.

Note You need to log in before you can comment on or make changes to this bug.